Bug 481725 - Review Request: python-setupdocs - Setuptools plugin
Review Request: python-setupdocs - Setuptools plugin
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: José Matos
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 481727 481734 481738 481759 482216
  Show dependency treegraph
 
Reported: 2009-01-27 06:48 EST by Rakesh Pandit
Modified: 2013-05-01 10:47 EDT (History)
5 users (show)

See Also:
Fixed In Version: 1.0.1-3.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-02 10:05:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jamatos: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Rakesh Pandit 2009-01-27 06:48:58 EST
Description:
Setuptools plugin that automates building of docs from ReST source.

SPEC: http://rakesh.fedorapeople.org/spec/python-setupdocs.spec
SRPM: http://rakesh.fedorapeople.org/srpm/python-setupdocs-1.0.1-1.fc10.src.rpm

Required for packaging Mayavi
Comment 1 José Matos 2009-01-27 11:37:56 EST
The package is simple (as it should :-) ).

Some quirks,

In the the spec file the URL should be just
http://pypi.python.org/pypi/setupdocs

In the next line the comment there should be also removed:
#md5...

My suggestion regarding the description is to change it to

%description
Python setuptools plugin...

That is just to add Python to the begin of the sentence. I am aware that this is redundant but it does not hurt. :-) Anyway this is a suggestion and you are free to ignore it.

Other than that the package is fine.
Comment 3 José Matos 2009-01-27 13:30:46 EST
OK.

The package follows the guidelines.
The package name is OK.
The license (BSD) is correct and acceptable.

The source tar ball is the same as shipped upstream.

The package is APPROVED.
Comment 4 Jochen Schmitt 2009-01-28 11:56:44 EST
Unfortunately I have found a mistake in the package

The packaging guidlines says, theat the egg-info files should be build from source. So it may be helpful to remove the setupdocs.egg-info directory from source in the %setup stanza.
Comment 5 José Matos 2009-01-28 12:14:01 EST
Argh... good catch.

I have examined the source ball egg-info dir and I have forgot to do the same in the generated rpm as I was expecting for setuptools to do the right thing. My mistake. :-(
Comment 7 Rakesh Pandit 2009-01-29 03:35:07 EST
It seems even if I donn't remove eggs folder setuptools takes care of it by creating it from source:

log snippet when it was not removed:
=====================
running egg_info
writing setupdocs.egg-info/PKG-INFO
writing top-level names to setupdocs.egg-info/top_level.txt
writing dependency_links to setupdocs.egg-info/dependency_links.txt
writing entry points to setupdocs.egg-info/entry_points.txt
reading manifest file 'setupdocs.egg-info/SOURCES.txt'
writing manifest file 'setupdocs.egg-info/SOURCES.txt'
Copying setupdocs.egg-info to /home/redhat/rpm/BUILDROOT/python-setupdocs-1.0.1-3.fc10.i386/usr/lib/python2.5/site-packages/setupdocs-1.0.1-py2.5.egg-info
running install_scripts
+ /usr/lib/rpm/check-rpaths /usr/lib/rpm/check-buildroot
=========================
Comment 8 Rakesh Pandit 2009-01-29 03:39:08 EST
New Package CVS Request
=======================
Package Name:  python-setupdocs
Short Description: Setuptools plugin
Owners: rakesh
Branches: F-9 F-10
InitialCC:
Cvsextras Commits: yes
Comment 9 Kevin Fenzi 2009-01-30 01:35:53 EST
cvs done.
Comment 10 Fedora Update System 2009-03-09 18:55:42 EDT
python-setupdocs-1.0.1-3.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2009-03-09 19:04:02 EDT
python-setupdocs-1.0.1-3.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Orion Poplawski 2013-04-30 22:42:46 EDT
I would like to see this in EPEL6.  Rakesh - would you like to maintain it or shall I?
Comment 13 Orion Poplawski 2013-05-01 10:41:27 EDT
Package Change Request
======================
Package Name: python-setupdocs
New Branches: el6
Owners: orion rakesh
InitialCC: 

On 1 May 2013 05:44, Orion Poplawski wrote:
> I'd like to see setupdocs in EPEL6.  Commented here:
>
> https://bugzilla.redhat.com/show_bug.cgi?id=481725
>
> Would you like to maintain or shall I?
>

It would be great if you can maintain it. I would help later once I am
free with my thesis work.

Thank you.

--
Rakesh Pandit
https://fedoraproject.org/wiki/User:Rakesh
freedom, friends, features, first
Comment 14 Gwyn Ciesla 2013-05-01 10:47:34 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.